POST api/batchapi/add/loadingstep?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
Body Parameters
BatchLoadingStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| mediwave_id | globally unique identifier |
Required |
|
| batch_details | Collection of BatchDetailViewModel |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "4b84e755-cb8a-4cfa-8ea0-85fa21c6c1bb",
"mediwave_id": "0d683886-8320-4b97-ae1c-1101265c1342",
"batch_details": [
{
"id": "dd461456-512f-49eb-a14c-fe0b91517d0a",
"compartment": 2,
"witness_code": 3,
"unload_time": "2026-03-10T09:19:50.8906668+00:00",
"reference": "sample string 4"
},
{
"id": "dd461456-512f-49eb-a14c-fe0b91517d0a",
"compartment": 2,
"witness_code": 3,
"unload_time": "2026-03-10T09:19:50.8906668+00:00",
"reference": "sample string 4"
}
]
}
application/xml, text/xml
Sample:
<batch_loading_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<batch_details>
<batch_detail>
<compartment>2</compartment>
<id>dd461456-512f-49eb-a14c-fe0b91517d0a</id>
<reference>sample string 4</reference>
<unload_time>2026-03-10T09:19:50.8906668+00:00</unload_time>
<witness_code>3</witness_code>
</batch_detail>
<batch_detail>
<compartment>2</compartment>
<id>dd461456-512f-49eb-a14c-fe0b91517d0a</id>
<reference>sample string 4</reference>
<unload_time>2026-03-10T09:19:50.8906668+00:00</unload_time>
<witness_code>3</witness_code>
</batch_detail>
</batch_details>
<id>4b84e755-cb8a-4cfa-8ea0-85fa21c6c1bb</id>
<mediwave_id>0d683886-8320-4b97-ae1c-1101265c1342</mediwave_id>
</batch_loading_step>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"2e87ee9e-77fd-46bb-833d-df3889e9091e"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">2e87ee9e-77fd-46bb-833d-df3889e9091e</guid>